/***********************************************************************
*                                                                      *
*               This software is part of the ast package               *
*          Copyright (c) 1985-2024 AT&T Intellectual Property          *
*                      and is licensed under the                       *
*                 Eclipse Public License, Version 1.0                  *
*                    by AT&T Intellectual Property                     *
*                                                                      *
*                A copy of the License is available at                 *
*          http://www.eclipse.org/org/documents/epl-v10.html           *
*         (with md5 checksum b35adb5213ca9657e911e9befb180842)         *
*                                                                      *
*              Information and Software Systems Research               *
*                            AT&T Research                             *
*                           Florham Park NJ                            *
*                                                                      *
*                 Glenn Fowler <gsf@research.att.com>                  *
*                  David Korn <dgk@research.att.com>                   *
*                   Phong Vo <kpv@research.att.com>                    *
*                                                                      *
***********************************************************************/
/* : : generated from /home/abuild/rpmbuild/BUILD/ksh93/src/lib/libast/features/lib by iffe version 2012-07-17 : : */
#ifndef _def_lib_ast
#define _def_lib_ast	1
#define _sys_types	1	/* #include <sys/types.h> ok */
#define _hdr_dirent	1	/* #include <dirent.h> ok */
#define _hdr_fmtmsg	1	/* #include <fmtmsg.h> ok */
#define _hdr_fnmatch	1	/* #include <fnmatch.h> ok */
#define _hdr_libgen	1	/* #include <libgen.h> ok */
#define _hdr_limits	1	/* #include <limits.h> ok */
#define _hdr_locale	1	/* #include <locale.h> ok */
#define _hdr_nl_types	1	/* #include <nl_types.h> ok */
#define _hdr_spawn	1	/* #include <spawn.h> ok */
#define _hdr_syslog	1	/* #include <syslog.h> ok */
#define _hdr_utime	1	/* #include <utime.h> ok */
#define _hdr_wchar	1	/* <wchar.h> and isw*() really work */
#define _hdr_wchar	1	/* #include <wchar.h> ok */
#define _hdr_wctype	1	/* #include <wctype.h> ok */
#define _dat_tzname	1	/* tzname in default lib(s) */
#define _lib_atexit	1	/* atexit() in default lib(s) */
#define _lib_bcopy	1	/* bcopy() in default lib(s) */
#define _lib_bzero	1	/* bzero() in default lib(s) */
#define _lib_catclose	1	/* catclose() in default lib(s) */
#define _lib_catgets	1	/* catgets() in default lib(s) */
#define _lib_catopen	1	/* catopen() in default lib(s) */
#define _lib_confstr	1	/* confstr() in default lib(s) */
#define _lib_dup2	1	/* dup2() in default lib(s) */
#define _lib_execlp	1	/* execlp() in default lib(s) */
#define _lib_execve	1	/* execve() in default lib(s) */
#define _lib_execvp	1	/* execvp() in default lib(s) */
#define _lib_execvpe	1	/* execvpe() in default lib(s) */
#define _lib_fchmod	1	/* fchmod() in default lib(s) */
#define _lib_fcntl	1	/* fcntl() in default lib(s) */
#define _lib_fmtmsg	1	/* fmtmsg() in default lib(s) */
#define _lib_fnmatch	1	/* fnmatch() in default lib(s) */
#define _lib_fork	1	/* fork() in default lib(s) */
#define _lib_fsync	1	/* fsync() in default lib(s) */
#define _lib_getdirentries	1	/* getdirentries() in default lib(s) */
#define _lib_getdtablesize	1	/* getdtablesize() in default lib(s) */
#define _lib_getdate	1	/* getdate() in default lib(s) */
#define _lib_getgroups	1	/* getgroups() in default lib(s) */
#define _lib_gethostname	1	/* gethostname() in default lib(s) */
#define _lib_getlogin	1	/* getlogin() in default lib(s) */
#define _lib_getpagesize	1	/* getpagesize() in default lib(s) */
#define _lib_getrlimit	1	/* getrlimit() in default lib(s) */
#define _lib_getopt	1	/* getopt() in default lib(s) */
#define _lib_getsubopt	1	/* getsubopt() in default lib(s) */
#define _lib_getopt_long	1	/* getopt_long() in default lib(s) */
#define _lib_getopt_long_only	1	/* getopt_long_only() in default lib(s) */
#define _lib_glob	1	/* glob() in default lib(s) */
#define _lib_index	1	/* index() in default lib(s) */
#define _lib_iswblank	1	/* iswblank() in default lib(s) */
#define _lib_iswctype	1	/* iswctype() in default lib(s) */
#define _lib_killpg	1	/* killpg() in default lib(s) */
#define _lib_link	1	/* link() in default lib(s) */
#define _lib_localeconv	1	/* localeconv() in default lib(s) */
#define _lib_madvise	1	/* madvise() in default lib(s) */
#define _lib_mbtowc	1	/* mbtowc() in default lib(s) */
#define _lib_mbrtowc	1	/* mbrtowc() in default lib(s) */
#define _lib_memalign	1	/* memalign() in default lib(s) */
#define _lib_memchr	1	/* memchr() in default lib(s) */
#define _lib_memcpy	1	/* memcpy() in default lib(s) */
#define _lib_memmove	1	/* memmove() in default lib(s) */
#define _lib_memset	1	/* memset() in default lib(s) */
#define _lib_mkdir	1	/* mkdir() in default lib(s) */
#define _lib_mkfifo	1	/* mkfifo() in default lib(s) */
#define _lib_mktemp	1	/* mktemp() in default lib(s) */
#define _lib_mktime	1	/* mktime() in default lib(s) */
#define _lib_mount	1	/* mount() in default lib(s) */
#define _lib_on_exit	1	/* on_exit() in default lib(s) */
#define _lib_opendir	1	/* opendir() in default lib(s) */
#define _lib_pathconf	1	/* pathconf() in default lib(s) */
#define _lib_readlink	1	/* readlink() in default lib(s) */
#define _lib_remove	1	/* remove() in default lib(s) */
#define _lib_rename	1	/* rename() in default lib(s) */
#define _lib_rewinddir	1	/* rewinddir() in default lib(s) */
#define _lib_rindex	1	/* rindex() in default lib(s) */
#define _lib_rmdir	1	/* rmdir() in default lib(s) */
#define _lib_setlocale	1	/* setlocale() in default lib(s) */
#define _lib_setpgid	1	/* setpgid() in default lib(s) */
#define _lib_setpgrp	1	/* setpgrp() in default lib(s) */
#define _lib_setreuid	1	/* setreuid() in default lib(s) */
#define _lib_setsid	1	/* setsid() in default lib(s) */
#define _lib_setuid	1	/* setuid() in default lib(s) */
#define _lib_sigaction	1	/* sigaction() in default lib(s) */
#define _lib_sigprocmask	1	/* sigprocmask() in default lib(s) */
#define _lib_sigsetmask	1	/* sigsetmask() in default lib(s) */
#define _lib_socketpair	1	/* socketpair() in default lib(s) */
#define _lib_strchr	1	/* strchr() in default lib(s) */
#define _lib_strcoll	1	/* strcoll() in default lib(s) */
#define _lib_strdup	1	/* strdup() in default lib(s) */
#define _lib_strerror	1	/* strerror() in default lib(s) */
#define _lib_strcasecmp	1	/* strcasecmp() in default lib(s) */
#define _lib_strncasecmp	1	/* strncasecmp() in default lib(s) */
#define _lib_strrchr	1	/* strrchr() in default lib(s) */
#define _lib_strstr	1	/* strstr() in default lib(s) */
#define _lib_strxfrm	1	/* strxfrm() in default lib(s) */
#define _lib_strftime	1	/* strftime() in default lib(s) */
#define _lib_swab	1	/* swab() in default lib(s) */
#define _lib_symlink	1	/* symlink() in default lib(s) */
#define _lib_sysconf	1	/* sysconf() in default lib(s) */
#define _lib_sysinfo	1	/* sysinfo() in default lib(s) */
#define _lib_syslog	1	/* syslog() in default lib(s) */
#define _lib_telldir	1	/* telldir() in default lib(s) */
#define _lib_tmpnam	1	/* tmpnam() in default lib(s) */
#define _lib_tzset	1	/* tzset() in default lib(s) */
#define _lib_unlink	1	/* unlink() in default lib(s) */
#define _lib_utime	1	/* utime() in default lib(s) */
#define _lib_wctype	1	/* wctype() in default lib(s) */
#define _lib_ftruncate	1	/* ftruncate() in default lib(s) */
#define _lib_truncate	1	/* truncate() in default lib(s) */
#define _lib_creat64	1	/* creat64() in default lib(s) */
#define _lib_fstat64	1	/* fstat64() in default lib(s) */
#define _lib_fstatvfs64	1	/* fstatvfs64() in default lib(s) */
#define _lib_ftruncate64	1	/* ftruncate64() in default lib(s) */
#define _lib_lseek64	1	/* lseek64() in default lib(s) */
#define _lib_lstat64	1	/* lstat64() in default lib(s) */
#define _lib_open64	1	/* open64() in default lib(s) */
#define _lib_readdir64	1	/* readdir64() in default lib(s) */
#define _lib_stat64	1	/* stat64() in default lib(s) */
#define _lib_statvfs64	1	/* statvfs64() in default lib(s) */
#define _lib_truncate64	1	/* truncate64() in default lib(s) */
#define _hdr_stdlib	1	/* #include <stdlib.h> ok */
#define _lib_strtod	1	/* strtod() in default lib(s) */
#define _lib_strtold	1	/* strtold() in default lib(s) */
#define _lib_strtol	1	/* strtol() in default lib(s) */
#define _lib_strtoll	1	/* strtoll() in default lib(s) */
#define _lib_strtoul	1	/* strtoul() in default lib(s) */
#define _lib_strtoull	1	/* strtoull() in default lib(s) */
#define _hdr_signal	1	/* #include <signal.h> ok */
#define _npt_sigflag	1	/* sigflag() needs a prototype */
#define _sys_dir	1	/* #include <sys/dir.h> ok */
#define _mem_d_reclen_direct	1	/* d_reclen is a member of struct direct */
#define _mem_d_fileno_dirent	1	/* d_fileno is a member of struct dirent */
#define _mem_d_ino_dirent	1	/* d_ino is a member of struct dirent */
#define _mem_d_off_dirent	1	/* d_off is a member of struct dirent */
#define _mem_d_reclen_dirent	1	/* d_reclen is a member of struct dirent */
#define _mem_d_type_dirent	1	/* d_type is a member of struct dirent */
#define _sys_resource	1	/* #include <sys/resource.h> ok */
#define _sys_socket	1	/* #include <sys/socket.h> ok */
#define _hdr_time	1	/* #include <time.h> ok */
#define _sys_time	1	/* #include <sys/time.h> ok */
#define _sys_times	1	/* #include <sys/times.h> ok */
#define _hdr_stddef	1	/* #include <stddef.h> ok */
#define _typ_ino64_t	1	/* ino64_t is a type */
#define _typ_off64_t	1	/* off64_t is a type */
#define _typ_struct_dirent64	1	/* struct dirent64 is a type */
#define _tst_errno	1	/* errno can be assigned */
#define _lib_poll_fd_1	1	/* fd is first arg to poll() */
#define _lib_poll	1	/* _lib_poll_fd_1||_lib_poll_fd_2 is true */
#define _sys_select	1	/* #include <sys/select.h> ok */
#define _lib_select	1	/* select() has standard 5 arg interface */
#define _sys_select	1	/* select() requires <sys/select.h> */
#define _hdr_unistd	1	/* #include <unistd.h> ok */
#define _lib_vfork	1	/* vfork exists and it works */
#define _real_vfork	1	/* vfork child shares data with parent */
#define _socket_peek	1	/* recv(MSG_PEEK) works on socketpair() */
#define _hdr_string	1	/* #include <string.h> ok */
#define _lib_memcmp	1	/* standard memcmp interface that works */
#define _hdr_fcntl	1	/* #include <fcntl.h> ok */
#define _sys_stat	1	/* #include <sys/stat.h> ok */
#define _sys_mman	1	/* #include <sys/mman.h> ok */
#define _lib_memccpy	1	/* standard memccpy interface that works */
#define _lib_utime_now	1	/* utime works with 0 time vector */
#define _UNIV_DEFAULT	"att"	/* default universe name */
#define _std_cleanup	1	/* stuck with standard _cleanup */
#define _std_strcoll	1	/* standard strcoll works */
#if !_AST_no_spawnveg
#define _use_spawnveg	1
#endif

#endif
